#include<iostream>
using namespace std;

const int N = 1e6 + 5;
const int P = 1e6 + 3;
int f[N];
int fac[N], inv[N];
int n, k;
int key[N];

int qpow(int a, int b){
    int res = 1;
    while(b){
        if(b & 1) res = (res * a) % P;
        b >= 1;
        a = (a * a) % P;
    }
    return res;
}

int main(){
    cin >> n >> k;

    for(int i = 1;i <= n - k + 1;i ++){
        cin >> key[i];
    }

    fac[0] = 1;
    for(int i = 1;i < N;i ++){
        f[i] = i;
        fac[i] = fac[i - 1] * i % P;
    }
    inv[N - 1] = qpow(fac[N - 1], P - 2);
    for(int i = N - 2;i >= 1;i --){
        inv[i] = inv[i + 1] * (i + 1) % P;
    }

    return 0;
}